function battle_jai009(npcID) --沙蜙

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	m=flag.GetBattleValue(12958)
    
	if m~=3 then
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			m=m+1
			flag.SetBattleValue(12958,m)			
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1219,1)			
			
		elseif a>=5 and a<=7 then
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1220,1)			
			
		else

			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1221,1)   --单体法术
		end

	else
		a = battle.GetRndNumber(1,2)
		if a==1 then
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1220,1)			
			flag.SetBattleValue(12958,0)		
		else
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1221,1)   --单体法术
			flag.SetBattleValue(12958,0)
		end
		
	end
end